-- Ist vom 18.07.2019, von Peter Fasching, Ruhr-Uni Bochum, peter.fasching@rub.de
-- Dies ist ein SQL-Skript fuer Oracle, das auch als PL/SQL-Skript lauffaehig ist und daher regelmaessig ausfuehrbar ist.
-- Das Skript funktioniert vermutlich zumindest ab der Oracle-Version 11, aber sicher ab Version 12c.
--
-- Ersetze bei allen nicht-Test-Studis
-- a) die erste E-Mail-Adresse durch eine technische (existierende) E-Mail-Adresse, und
-- b) falls eine zweite E-Mail-Adresse verfgbar ist, ersetze diese zweite E-Mail-Adresse durch eine zweite technische (existierende) E-Mail-Adresse:
UPDATE flexnow.Student
SET
	email  = 'fn-dummy+mod1@rub.de',
	email2 = (CASE WHEN (email2 is null OR Trim(email2) = '') THEN email2 ELSE 'fn-dummy+mod2@rub.de' END)
WHERE 
	-- Test-Studierenden (d.h. Student.testPerson darf nicht 1 sein) sollen nicht tangiert werden, also nicht pseudonymisiert werden.
	(COALESCE(testPerson, 0) <> 1)
	-- Zum Testen dieses Statements an einem bestimmten Studierenden die folgende Zeile (also: AND matrNr = ...) de-kommentieren.
--	AND matrNr = 123
;